<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlTxBpmMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlTxBpmMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>TX BPM monitoring configuration.  
 <a href="structrl_tx_bpm_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:afdf4e8769f94cf6409b63d8800b8a1cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afdf4e8769f94cf6409b63d8800b8a1cc"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_bpm_mon_conf__t.html#afdf4e8769f94cf6409b63d8800b8a1cc">profileIndx</a></td></tr>
<tr class="memdesc:afdf4e8769f94cf6409b63d8800b8a1cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the Profile Index for which this configuration applies. <br /></td></tr>
<tr class="separator:afdf4e8769f94cf6409b63d8800b8a1cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a2af0ee537d9a06e685c00dfefd9026"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a2af0ee537d9a06e685c00dfefd9026"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_bpm_mon_conf__t.html#a5a2af0ee537d9a06e685c00dfefd9026">reserved0</a></td></tr>
<tr class="memdesc:a5a2af0ee537d9a06e685c00dfefd9026"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a5a2af0ee537d9a06e685c00dfefd9026"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dc52f85dfd8227100d549b1a1d45df9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7dc52f85dfd8227100d549b1a1d45df9"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_bpm_mon_conf__t.html#a7dc52f85dfd8227100d549b1a1d45df9">reserved1</a></td></tr>
<tr class="memdesc:a7dc52f85dfd8227100d549b1a1d45df9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a7dc52f85dfd8227100d549b1a1d45df9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addc904800d3caa17b962b4b91e912dff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="addc904800d3caa17b962b4b91e912dff"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_bpm_mon_conf__t.html#addc904800d3caa17b962b4b91e912dff">reportMode</a></td></tr>
<tr class="memdesc:addc904800d3caa17b962b4b91e912dff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 Report is sent every monitoring period without threshold check <br />
 1 Report is send only upon a failure after checking for thresholds) <br />
 2 Report is sent every monitoring period with threshold check. <br />
. <br /></td></tr>
<tr class="separator:addc904800d3caa17b962b4b91e912dff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7511890e7e63810bc5334390be67fa7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7511890e7e63810bc5334390be67fa7"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_bpm_mon_conf__t.html#ae7511890e7e63810bc5334390be67fa7">rxEn</a></td></tr>
<tr class="memdesc:ae7511890e7e63810bc5334390be67fa7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the RX channels that should be enabled for TX to RX loopback measurement. Setting the corresponding bit to 1 enables that channel for imbalance measurement. Bit RX Channel 0 RX0 1 RX1 2 RX2 3 RX3. <br /></td></tr>
<tr class="separator:ae7511890e7e63810bc5334390be67fa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b10d6e15aa7572747032794dd0c7f9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b10d6e15aa7572747032794dd0c7f9e"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_bpm_mon_conf__t.html#a7b10d6e15aa7572747032794dd0c7f9e">txBpmPhaseErrThresh</a></td></tr>
<tr class="memdesc:a7b10d6e15aa7572747032794dd0c7f9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The deviation of the TX output phase difference between the two BPM settings from <br />
 the ideal 180o is compared against the threshold given here. The comparison <br />
 result is part of the monitoring report message (Error bit is set if the <br />
 measurement is lower than this threshold, with the units of both quantities <br />
 being the same). <br />
 1 LSB = 360(degree) /2^16. <br />
 Valid range: TBD <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a7b10d6e15aa7572747032794dd0c7f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94c4f783fa5d6e002be6d1195dad7f9f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94c4f783fa5d6e002be6d1195dad7f9f"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_bpm_mon_conf__t.html#a94c4f783fa5d6e002be6d1195dad7f9f">txBpmAmplErrThresh</a></td></tr>
<tr class="memdesc:a94c4f783fa5d6e002be6d1195dad7f9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The deviation of the TX output amplitude difference between the two BPM settings <br />
 is compared against the threshold given here. The comparison result is part of <br />
 the monitoring report message (Error bit is set if the measurement is lower <br />
 than this threshold, with the units of both quantities being the same). <br />
 1 LSB = 0.1 dB <br />
 Valid range: TBD <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a94c4f783fa5d6e002be6d1195dad7f9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dd43b4f7414f5f5cf1163ad05acb8a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0dd43b4f7414f5f5cf1163ad05acb8a0"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_bpm_mon_conf__t.html#a0dd43b4f7414f5f5cf1163ad05acb8a0">reserved2</a></td></tr>
<tr class="memdesc:a0dd43b4f7414f5f5cf1163ad05acb8a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a0dd43b4f7414f5f5cf1163ad05acb8a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d85eb64b27c0fb19452c9d346474d2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d85eb64b27c0fb19452c9d346474d2c"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_bpm_mon_conf__t.html#a1d85eb64b27c0fb19452c9d346474d2c">reserved3</a></td></tr>
<tr class="memdesc:a1d85eb64b27c0fb19452c9d346474d2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a1d85eb64b27c0fb19452c9d346474d2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>TX BPM monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
